Create Receipt

Creates a new receipt metadata object.

The response contains a pre signed S3 upload URL which the user is expected to use for uploading the receipt file.
The mimetype of the file needs to match the type in the request body. The URL is valid for 1 hour.

Example for curl:

curl -X PUT -T ./photo.jpg -H "Content-Type: image/jpeg" "https://my-bucket.s3.amazonaws.com/uploads/photo.jpg?X-Amz-Algorithm=AWS4-HMAC-SHA256&..."

Receipts represent uploaded files associated with expenses. They provide documentation for expense claims and can include images or PDF files.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required

The ID of the associated expense

string
required

The name of the receipt file without file extension

string
enum
required

The MIME type of the receipt file

Allowed:
Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json